Commit 0ad75a1e authored by Marco Mariani's avatar Marco Mariani

zmamavisdctl, zmclamdctl, zmopendkimctl, zmsaslauthdctl,

  zmfreshclamctl, zmnginxctl, zmtrainsa, zmauditswatchctl,
  zmhactl, zmmemcachedctl, zmswatchctl, zmjsprecompile,
  zmloggerinit, zmresetmysqlpassword, zmupdatezco, zmcbpolicydctl: removed hardcoded checks for zimbra user
zmopendkimctl: do not attemp to switch to zimbra user
parent d5e953b3
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
zmsetvars \
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
if [ ! -L "/opt/zimbra/amavisd" ]; then
exit 0
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
zmsetvars \
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
if [ ! -L "/opt/zimbra/clamav" ]; then
exit 0
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
if [ ! -L "/opt/zimbra/clamav" ]; then
exit 0
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
platform=`/opt/zimbra/libexec/get_plat_tag.sh`
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
zmsetvars \
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo "Error: must be run as zimbra user"
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo "Error: must be run as zimbra user"
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
zmsetvars \
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
if [ ! -L "/opt/zimbra/opendkim" ]; then
exit 0
......@@ -68,7 +69,7 @@ start()
if [ x$1 = "x" ]; then
rewriteconfig
fi
$odk -x $config -u zimbra
$odk -x $config
if [ $? != 0 ]; then
echo "Failed to start opendkim: $?"
exit 1
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/zmshutil || exit 1
zmsetvars \
......
......@@ -104,10 +104,11 @@ usage() {
exit 1
}
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
if [ ! -h "/opt/zimbra/amavisd" ]; then
echo "Error: SpamAssassin not installed"
......
......@@ -14,10 +14,11 @@
#; ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
zimbra_home=/opt/zimbra
zimbra_java_home=${zimbra_home}/java
......
......@@ -14,11 +14,11 @@
# ***** END LICENSE BLOCK *****
#
#
if [ x`whoami` != "xzimbra" ]; then
echo "Error: must be run as user zimbra"
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != "xzimbra" ]; then
# echo "Error: must be run as user zimbra"
# exit 1
#fi
umask 027
source `dirname $0`/../bin/zmshutil || exit 1
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != "xzimbra" ]; then
echo "Error: must be run as user zimbra"
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != "xzimbra" ]; then
# echo "Error: must be run as user zimbra"
# exit 1
#fi
usage() {
echo "$0 [--help] [--sql_root_pw <password>] [--mysql_memory_percent 30]"
......
......@@ -14,10 +14,11 @@
# ***** END LICENSE BLOCK *****
#
if [ x`whoami` != xzimbra ]; then
echo Error: must be run as zimbra user
exit 1
fi
# XXX SLAPOS must run as current user
#if [ x`whoami` != xzimbra ]; then
# echo Error: must be run as zimbra user
# exit 1
#fi
source `dirname $0`/../bin/zmshutil || exit 1
zmsetvars
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment